Kerbal Space Program - Bug #753

Unusual shearing/locking when using Octagonal Strut, Cubic Octagonal Strut, and the Clamp-o-tron
Jr.

06/03/2013 12:46 AM - velusip

Status: Closed Start date: 06/03/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.20.2 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When (any/either of) two crafts contain an Octagonal Strut or Cubic Octagonal Strut and attempt to dock via Clamp-o-tron Jr.'s, an
unusual force is applied to at least one of the two crafts and remains until simulation is halted (via switching to distant craft or
returning to Tracking Station). The results vary:

e 1 The orientation of one of the two crafts will 'lock’ in place. Anchoring the orientation of the craft in place and will not be
influenced by any internal or external forces. This occurs with and without ASAS modules. Easily reproducible. Screenshots of
two awful looking rovers attached producing this "locked" orientation on one of the two.

e 2 Internal forces such as RCS or SAS from both crafts will 'compete’ and the user will gain no additional control by picking a
"control from here" option. Not always reproducible. Attached persistent.sfs provides all crafts necessary to replicate.

e 3 All Octagonal Struts will slowly twist. Easily reproducible. Attached persistent.sfs provides all crafts necessary to replicate.
Animations of this attached.

The provided persistent.sfs contains the following:

Orbiting test platform

Four docked probe-based vessels. All featuring at least one Clamp-o-Tron Jr.
Two of the four contain at least one Cubic Octagonal Strut.

One Kerbal.

The orbital test platform is untouched, directly from VAB.

There may be additional debris. The existing station is an exact replica of the first that was ruined via docking the probes.
Background:

¢ Another Kadet witnessed a bug that I've been experiencing for some time and posted to redding here:
http://www.reddit.com/r/KerbalSpaceProgram/comments/1fhnle/docking_problems_with_ion_scooter_any_ideas_on_a/

¢ | tested many variations of his craft and narrowed it down to the three components. There may be more, but testing is slow.
Attached is a gif animation of the effect 3 as described above.

¢ | tried building very simple, independend crafts to isolate the responsible parts and came up with what is in the persistent.sfs file

e There seem to be very few reports of this, which is strange considering how easily it can be replicated. Some of the reports go
back as far as version 0.18. Many reports are excused as "the space kraken" and marked as fixed. While adorable, | think this
is a miscategorized bug and should be taken more seriously.

¢ More examples of reports:
http://forum.kerbalspaceprogram.com/showthread.php/33238-Docking-parts-on-the-moon-causes-serious-problem ?highlight=do
cking+port

e http:/forum.kerbalspaceprogram.com/showthread.php/25788-Docking-Cubic-Octagonal-Strut?highlight=docking

e http:/forum.kerbalspaceprogram.com/showthread.php/30840-20-Constant-rotation-when-near-Mun?highlight=phantom-+force
| can confirm this:

See the attached screenshots above. | docked a small rover made out of octagonal struts and Jr. docking ports on to another rover and it started to

twist uncontrollably. The twisting stopped when | time accelerated but after that the orientation of the vehicles was locked so | could only drive

forwards or backwards.

I've seen the same both in space and on the ground.

| think this issue should get more attention. | was running this on Windows but | don't think it matters.

The screenshots show:

1 - The crafts before docking.

2 - Right after docking. The twisting starts to appear very quickly.
3 - A few seconds later. The craft is getting mangled.

#2 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/07/2016 11:33 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For

best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
